#! perl

# Dummy for the packager, to get all PDF::API2 and Font::TTF included.

use PDF::API2;
use PDF::API2::Annotation;
use PDF::API2::Basic::PDF::Array;
use PDF::API2::Basic::PDF::Bool;
use PDF::API2::Basic::PDF::Dict;
use PDF::API2::Basic::PDF::File;
use PDF::API2::Basic::PDF::Filter::ASCII85Decode;
use PDF::API2::Basic::PDF::Filter::ASCIIHexDecode;
use PDF::API2::Basic::PDF::Filter::FlateDecode;
use PDF::API2::Basic::PDF::Filter::LZWDecode;
use PDF::API2::Basic::PDF::Filter::RunLengthDecode;
use PDF::API2::Basic::PDF::Filter;
use PDF::API2::Basic::PDF::Literal;
use PDF::API2::Basic::PDF::Name;
use PDF::API2::Basic::PDF::Null;
use PDF::API2::Basic::PDF::Number;
use PDF::API2::Basic::PDF::Objind;
use PDF::API2::Basic::PDF::Page;
use PDF::API2::Basic::PDF::Pages;
use PDF::API2::Basic::PDF::String;
use PDF::API2::Basic::PDF::Utils;
use PDF::API2::Content::Text;
use PDF::API2::Content;
use PDF::API2::Lite;
use PDF::API2::Matrix;
use PDF::API2::NamedDestination;
use PDF::API2::Outline;
use PDF::API2::Outlines;
use PDF::API2::Page;
use PDF::API2::Resource::BaseFont;
use PDF::API2::Resource::CIDFont::CJKFont;
use PDF::API2::Resource::CIDFont::TrueType::FontFile;
use PDF::API2::Resource::CIDFont::TrueType;
use PDF::API2::Resource::CIDFont;
use PDF::API2::Resource::ColorSpace::DeviceN;
use PDF::API2::Resource::ColorSpace::Indexed::ACTFile;
use PDF::API2::Resource::ColorSpace::Indexed::Hue;
use PDF::API2::Resource::ColorSpace::Indexed::WebColor;
use PDF::API2::Resource::ColorSpace::Indexed;
use PDF::API2::Resource::ColorSpace::Separation;
use PDF::API2::Resource::ColorSpace;
use PDF::API2::Resource::Colors;
use PDF::API2::Resource::ExtGState;
use PDF::API2::Resource::Font::BdFont;
use PDF::API2::Resource::Font::CoreFont::bankgothic;
use PDF::API2::Resource::Font::CoreFont::courier;
use PDF::API2::Resource::Font::CoreFont::courierbold;
use PDF::API2::Resource::Font::CoreFont::courierboldoblique;
use PDF::API2::Resource::Font::CoreFont::courieroblique;
use PDF::API2::Resource::Font::CoreFont::georgia;
use PDF::API2::Resource::Font::CoreFont::georgiabold;
use PDF::API2::Resource::Font::CoreFont::georgiabolditalic;
use PDF::API2::Resource::Font::CoreFont::georgiaitalic;
use PDF::API2::Resource::Font::CoreFont::helvetica;
use PDF::API2::Resource::Font::CoreFont::helveticabold;
use PDF::API2::Resource::Font::CoreFont::helveticaboldoblique;
use PDF::API2::Resource::Font::CoreFont::helveticaoblique;
use PDF::API2::Resource::Font::CoreFont::symbol;
use PDF::API2::Resource::Font::CoreFont::timesbold;
use PDF::API2::Resource::Font::CoreFont::timesbolditalic;
use PDF::API2::Resource::Font::CoreFont::timesitalic;
use PDF::API2::Resource::Font::CoreFont::timesroman;
use PDF::API2::Resource::Font::CoreFont::trebuchet;
use PDF::API2::Resource::Font::CoreFont::trebuchetbold;
use PDF::API2::Resource::Font::CoreFont::trebuchetbolditalic;
use PDF::API2::Resource::Font::CoreFont::trebuchetitalic;
use PDF::API2::Resource::Font::CoreFont::verdana;
use PDF::API2::Resource::Font::CoreFont::verdanabold;
use PDF::API2::Resource::Font::CoreFont::verdanabolditalic;
use PDF::API2::Resource::Font::CoreFont::verdanaitalic;
use PDF::API2::Resource::Font::CoreFont::webdings;
use PDF::API2::Resource::Font::CoreFont::wingdings;
use PDF::API2::Resource::Font::CoreFont::zapfdingbats;
use PDF::API2::Resource::Font::CoreFont;
use PDF::API2::Resource::Font::Postscript;
use PDF::API2::Resource::Font::SynFont;
use PDF::API2::Resource::Font;
use PDF::API2::Resource::Glyphs;
use PDF::API2::Resource::PaperSizes;
use PDF::API2::Resource::Pattern;
use PDF::API2::Resource::Shading;
use PDF::API2::Resource::UniFont;
use PDF::API2::Resource::XObject::Form::BarCode::codabar;
use PDF::API2::Resource::XObject::Form::BarCode::code128;
use PDF::API2::Resource::XObject::Form::BarCode::code3of9;
use PDF::API2::Resource::XObject::Form::BarCode::ean13;
use PDF::API2::Resource::XObject::Form::BarCode::int2of5;
use PDF::API2::Resource::XObject::Form::BarCode;
use PDF::API2::Resource::XObject::Form::Hybrid;
use PDF::API2::Resource::XObject::Form;
use PDF::API2::Resource::XObject::Image::GD;
use PDF::API2::Resource::XObject::Image::GIF;
use PDF::API2::Resource::XObject::Image::JPEG;
use PDF::API2::Resource::XObject::Image::PNG;
use PDF::API2::Resource::XObject::Image::PNM;
use PDF::API2::Resource::XObject::Image::TIFF::File;
use PDF::API2::Resource::XObject::Image::TIFF;
use PDF::API2::Resource::XObject::Image;
use PDF::API2::Resource::XObject;
use PDF::API2::Resource;
use PDF::API2::UniWrap;
use PDF::API2::Util;
use PDF::API2::ViewerPreferences;
use PDF::API2::Win32;

use Font::TTF::Fmtx;
use Font::TTF::GSUB;
use Font::TTF::PSNames;
use Font::TTF::PCLT;
use Font::TTF::Coverage;
use Font::TTF::Sill;
use Font::TTF::AATKern;
use Font::TTF::OldCmap;
use Font::TTF::Prop;
use Font::TTF::Woff::PrivateData;
use Font::TTF::Woff::MetaData;
use Font::TTF::Maxp;
use Font::TTF::Fdsc;
use Font::TTF::Hhea;
use Font::TTF::Vmtx;
use Font::TTF::Bsln;
use Font::TTF::Kern::CompactClassArray;
use Font::TTF::Kern::StateTable;
use Font::TTF::Kern::ClassArray;
use Font::TTF::Kern::Subtable;
use Font::TTF::Kern::OrderedList;
use Font::TTF::Cvt_;
use Font::TTF::Name;
use Font::TTF::Mort::Noncontextual;
use Font::TTF::Mort::Contextual;
use Font::TTF::Mort::Insertion;
use Font::TTF::Mort::Rearrangement;
use Font::TTF::Mort::Chain;
use Font::TTF::Mort::Subtable;
use Font::TTF::Mort::Ligature;
use Font::TTF::Segarr;
use Font::TTF::Head;
use Font::TTF::Hdmx;
use Font::TTF::Fpgm;
use Font::TTF::EBLC;
use Font::TTF::Post;
use Font::TTF::OS_2;
use Font::TTF::Font;
use Font::TTF::Utils;
use Font::TTF::XMLparse;
use Font::TTF::Feat;
use Font::TTF::Dumper;
use Font::TTF::Kern;
use Font::TTF::Glyf;
use Font::TTF::AATutils;
use Font::TTF::Features::Sset;
use Font::TTF::Features::Cvar;
use Font::TTF::Features::Size;
use Font::TTF::Gloc;
use Font::TTF::Woff;
use Font::TTF::Loca;
use Font::TTF::Mort;
use Font::TTF::Useall;
use Font::TTF::Ttc;
use Font::TTF::OTTags;
use Font::TTF::EBDT;
use Font::TTF::GPOS;
use Font::TTF::Prep;
use Font::TTF::OldMort;
use Font::TTF::Glat;
use Font::TTF::Glyph;
use Font::TTF::Ttopen;
use Font::TTF::Anchor;
use Font::TTF::Cmap;
use Font::TTF::Hmtx;
use Font::TTF::GrFeat;
use Font::TTF::Table;
use Font::TTF::Vhea;
use Font::TTF::LTSH;
use Font::TTF::Silf;
use Font::TTF::Delta;
use Font::TTF::GDEF;
use Font::TTF::DSIG;
use Font::TTF;

1;
